Changeset 2982


Ignore:
Timestamp:
Oct 15, 2013 12:07:46 PM (7 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/releases/1.4.9/configure

    r2933 r2982  
    10781078                          (implies --disable-shared)
    10791079  --enable-debug-mumps compile project Mumps with debug compiler flags
    1080   --enable-doscompile     Under Cygwin, compile so that executables run under
    1081                           DOS. Set to mingw to use gcc/g++/ld with
    1082                           -mno-cygwin. Set to msvc to use cl/link (or
    1083                           icl/link). Default when mentioned: mingw. Default
    1084                           when not mentioned: disabled.
     1080
     1081  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10851082  --disable-pthread-mumps disable use of pthread library
    10861083  --enable-static[=PKGS]
     
    18881885
    18891886# Get the name of the C compiler
    1890 case $build in
     1887
     1888
     1889  # for backward compatibility
     1890  # Check whether --enable-doscompile or --disable-doscompile was given.
     1891if test "${enable_doscompile+set}" = set; then
     1892  enableval="$enable_doscompile"
     1893  enable_doscompile=$enableval
     1894else
     1895  enable_doscompile=no
     1896fi;
     1897
     1898  # Check whether --enable-msvc or --disable-msvc was given.
     1899if test "${enable_msvc+set}" = set; then
     1900  enableval="$enable_msvc"
     1901  enable_msvc=$enableval
     1902else
     1903  enable_msvc=no
     1904     if test "$enable_doscompile" = msvc ; then
     1905       enable_msvc=yes
     1906     elif test "$enable_doscompile" != no ; then
     1907       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1908echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1909   { (exit 1); exit 1; }; }
     1910     fi
     1911
     1912fi;
     1913
     1914  if test "$enable_msvc" = yes; then
     1915    case $build in
     1916      *-cygwin* | *-mingw*) ;;
     1917      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1918echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1919   { (exit 1); exit 1; }; } ;;
     1920    esac
     1921  fi
     1922
     1923
     1924 case $build in
    18911925  *-mingw*)
    18921926    if test "${LD+set}" = set; then :; else
     
    18951929    ;;
    18961930 esac
    1897  case $enable_doscompile in
    1898    msvc)
    1899      if test "x${LD+set}" = xset; then :; else
    1900        LD=link
    1901      fi
    1902      ;;
    1903  esac
    1904 
    1905 
    1906  # Check whether --enable-doscompile or --disable-doscompile was given.
    1907 if test "${enable_doscompile+set}" = set; then
    1908   enableval="$enable_doscompile"
    1909   if test "$enable_doscompile" != no; then
    1910      case $build in
    1911        *-cygwin* | *-mingw*) ;;
    1912        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1913 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1914    { (exit 1); exit 1; }; } ;;
    1915      esac
     1931 if test $enable_msvc = yes ; then
     1932   if test "x${LD+set}" = xset; then :; else
     1933     LD=link
    19161934   fi
    1917 else
    1918   enable_doscompile=no
    1919 fi;
    1920  case "$enable_doscompile" in
    1921    mingw)
    1922      case $build in
    1923        *-mingw*) enable_doscompile=no ;;
    1924      esac
    1925      ;;
    1926    msvc|no) ;;
    1927    yes) enable_doscompile=mingw ;;
    1928    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1929                     Try configure --help=recursive." >&5
    1930 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1931                     Try configure --help=recursive." >&2;}
    1932    { (exit 1); exit 1; }; }
    1933       ;;
    1934   esac
    1935   if test "$enable_doscompile" != no ; then
    1936     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1937 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1938   fi
     1935 fi
    19391936
    19401937
     
    19791976case $build in
    19801977  *-cygwin* | *-mingw*)
    1981              if test "$enable_doscompile" = msvc ; then
    1982                comps="icl cl"
     1978             if test "$enable_msvc" = yes ; then
     1979               comps="icl cl gcc"
    19831980             else
    1984                comps="gcc cl"
     1981               comps="gcc icl cl"
    19851982             fi ;;
    19861983  *-*-solaris*)
     
    28352832            ;;
    28362833        esac
    2837         case $enable_doscompile in
    2838           mingw)
    2839             CFLAGS="-mno-cygwin"
    2840             cat >conftest.$ac_ext <<_ACEOF
    2841 /* confdefs.h.  */
    2842 _ACEOF
    2843 cat confdefs.h >>conftest.$ac_ext
    2844 cat >>conftest.$ac_ext <<_ACEOF
    2845 /* end confdefs.h.  */
    2846 
    2847 int
    2848 main ()
    2849 {
    2850 int i=0; i++;
    2851   ;
    2852   return 0;
    2853 }
    2854 _ACEOF
    2855 rm -f conftest.$ac_objext conftest$ac_exeext
    2856 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2857   (eval $ac_link) 2>conftest.er1
    2858   ac_status=$?
    2859   grep -v '^ *+' conftest.er1 >conftest.err
    2860   rm -f conftest.er1
    2861   cat conftest.err >&5
    2862   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2863   (exit $ac_status); } &&
    2864          { ac_try='test -z "$ac_c_werror_flag"
    2865                          || test ! -s conftest.err'
    2866   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2867   (eval $ac_try) 2>&5
    2868   ac_status=$?
    2869   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2870   (exit $ac_status); }; } &&
    2871          { ac_try='test -s conftest$ac_exeext'
    2872   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2873   (eval $ac_try) 2>&5
    2874   ac_status=$?
    2875   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2876   (exit $ac_status); }; }; then
    2877   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2878 else
    2879   echo "$as_me: failed program was:" >&5
    2880 sed 's/^/| /' conftest.$ac_ext >&5
    2881 
    2882 fi
    2883 rm -f conftest.err conftest.$ac_objext \
    2884       conftest$ac_exeext conftest.$ac_ext
    2885             CFLAGS=
    2886           ;;
    2887         esac
    28882834    esac
    28892835  fi
     
    32263172  clang* ) ;;
    32273173  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3228     case $build in
     3174
     3175 case $build in
    32293176  *-mingw*)
    32303177    if test "${LD+set}" = set; then :; else
     
    32333180    ;;
    32343181 esac
    3235  case $enable_doscompile in
    3236    msvc)
    3237      if test "x${LD+set}" = xset; then :; else
    3238        LD=link
    3239      fi
    3240      ;;
    3241  esac
     3182 if test $enable_msvc = yes ; then
     3183   if test "x${LD+set}" = xset; then :; else
     3184     LD=link
     3185   fi
     3186 fi
    32423187
    32433188    ;;
     
    32553200case $build in
    32563201  *-cygwin* | *-mingw*)
    3257      if test "$enable_doscompile" = msvc ; then
    3258        coin_f77_comps="ifort fl32 compile_f2c"
     3202     if test "$enable_msvc" = yes ; then
     3203       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32593204     else
    32603205       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34813426
    34823427# Provide some information about the compiler.
    3483 echo "$as_me:3483:" \
     3428echo "$as_me:3428:" \
    34843429     "checking for Fortran 77 compiler version" >&5
    34853430ac_compiler=`set X $ac_compile; echo $2`
     
    36503595    coin_add_fflags="-pipe"
    36513596    coin_dbg_fflags="-g -O0"
    3652     case $enable_doscompile in
    3653       mingw)
    3654         FFLAGS="-mno-cygwin"
    3655         cat >conftest.$ac_ext <<_ACEOF
    3656       program main
    3657       write(*,*) 'Hello world'
    3658       end
    3659 _ACEOF
    3660 rm -f conftest.$ac_objext conftest$ac_exeext
    3661 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3662   (eval $ac_link) 2>conftest.er1
    3663   ac_status=$?
    3664   grep -v '^ *+' conftest.er1 >conftest.err
    3665   rm -f conftest.er1
    3666   cat conftest.err >&5
    3667   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3668   (exit $ac_status); } &&
    3669          { ac_try='test -z "$ac_f77_werror_flag"
    3670                          || test ! -s conftest.err'
    3671   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3672   (eval $ac_try) 2>&5
    3673   ac_status=$?
    3674   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3675   (exit $ac_status); }; } &&
    3676          { ac_try='test -s conftest$ac_exeext'
    3677   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3678   (eval $ac_try) 2>&5
    3679   ac_status=$?
    3680   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3681   (exit $ac_status); }; }; then
    3682   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3683 else
    3684   echo "$as_me: failed program was:" >&5
    3685 sed 's/^/| /' conftest.$ac_ext >&5
    3686 
    3687 fi
    3688 rm -f conftest.err conftest.$ac_objext \
    3689       conftest$ac_exeext conftest.$ac_ext
    3690         FFLAGS=
    3691       ;;
    3692     esac
    36933597  else
    36943598    case $build in
     
    39823886case "$F77" in
    39833887  ifort* | */ifort* | IFORT* | */IFORT*)
    3984     case $build in
     3888
     3889 case $build in
    39853890  *-mingw*)
    39863891    if test "${LD+set}" = set; then :; else
     
    39893894    ;;
    39903895 esac
    3991  case $enable_doscompile in
    3992    msvc)
    3993      if test "x${LD+set}" = xset; then :; else
    3994        LD=link
    3995      fi
    3996      ;;
    3997  esac
     3896 if test $enable_msvc = yes ; then
     3897   if test "x${LD+set}" = xset; then :; else
     3898     LD=link
     3899   fi
     3900 fi
    39983901
    39993902    ;;
     
    40623965ac_save_FFLAGS=$FFLAGS
    40633966FFLAGS="$FFLAGS $ac_verb"
    4064 (eval echo $as_me:4064: \"$ac_link\") >&5
     3967(eval echo $as_me:3967: \"$ac_link\") >&5
    40653968ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40663969echo "$ac_f77_v_output" >&5
     
    41404043ac_save_FFLAGS=$FFLAGS
    41414044FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4142 (eval echo $as_me:4142: \"$ac_link\") >&5
     4045(eval echo $as_me:4045: \"$ac_link\") >&5
    41434046ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41444047echo "$ac_f77_v_output" >&5
     
    73167219*-*-irix6*)
    73177220  # Find out which ABI we are using.
    7318   echo '#line 7318 "configure"' > conftest.$ac_ext
     7221  echo '#line 7221 "configure"' > conftest.$ac_ext
    73197222  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    73207223  (eval $ac_compile) 2>&5
     
    93129215   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93139216   -e 's:$: $lt_compiler_flag:'`
    9314    (eval echo "\"\$as_me:9314: $lt_compile\"" >&5)
     9217   (eval echo "\"\$as_me:9217: $lt_compile\"" >&5)
    93159218   (eval "$lt_compile" 2>conftest.err)
    93169219   ac_status=$?
    93179220   cat conftest.err >&5
    9318    echo "$as_me:9318: \$? = $ac_status" >&5
     9221   echo "$as_me:9221: \$? = $ac_status" >&5
    93199222   if (exit $ac_status) && test -s "$ac_outfile"; then
    93209223     # The compiler can only warn and ignore the option if not recognized
     
    95809483   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95819484   -e 's:$: $lt_compiler_flag:'`
    9582    (eval echo "\"\$as_me:9582: $lt_compile\"" >&5)
     9485   (eval echo "\"\$as_me:9485: $lt_compile\"" >&5)
    95839486   (eval "$lt_compile" 2>conftest.err)
    95849487   ac_status=$?
    95859488   cat conftest.err >&5
    9586    echo "$as_me:9586: \$? = $ac_status" >&5
     9489   echo "$as_me:9489: \$? = $ac_status" >&5
    95879490   if (exit $ac_status) && test -s "$ac_outfile"; then
    95889491     # The compiler can only warn and ignore the option if not recognized
     
    96849587   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96859588   -e 's:$: $lt_compiler_flag:'`
    9686    (eval echo "\"\$as_me:9686: $lt_compile\"" >&5)
     9589   (eval echo "\"\$as_me:9589: $lt_compile\"" >&5)
    96879590   (eval "$lt_compile" 2>out/conftest.err)
    96889591   ac_status=$?
    96899592   cat out/conftest.err >&5
    9690    echo "$as_me:9690: \$? = $ac_status" >&5
     9593   echo "$as_me:9593: \$? = $ac_status" >&5
    96919594   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    96929595   then
     
    1210112004  lt_status=$lt_dlunknown
    1210212005  cat > conftest.$ac_ext <<EOF
    12103 #line 12103 "configure"
     12006#line 12006 "configure"
    1210412007#include "confdefs.h"
    1210512008
     
    1220112104  lt_status=$lt_dlunknown
    1220212105  cat > conftest.$ac_ext <<EOF
    12203 #line 12203 "configure"
     12106#line 12106 "configure"
    1220412107#include "confdefs.h"
    1220512108
     
    1456114464   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456214465   -e 's:$: $lt_compiler_flag:'`
    14563    (eval echo "\"\$as_me:14563: $lt_compile\"" >&5)
     14466   (eval echo "\"\$as_me:14466: $lt_compile\"" >&5)
    1456414467   (eval "$lt_compile" 2>conftest.err)
    1456514468   ac_status=$?
    1456614469   cat conftest.err >&5
    14567    echo "$as_me:14567: \$? = $ac_status" >&5
     14470   echo "$as_me:14470: \$? = $ac_status" >&5
    1456814471   if (exit $ac_status) && test -s "$ac_outfile"; then
    1456914472     # The compiler can only warn and ignore the option if not recognized
     
    1466514568   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1466614569   -e 's:$: $lt_compiler_flag:'`
    14667    (eval echo "\"\$as_me:14667: $lt_compile\"" >&5)
     14570   (eval echo "\"\$as_me:14570: $lt_compile\"" >&5)
    1466814571   (eval "$lt_compile" 2>out/conftest.err)
    1466914572   ac_status=$?
    1467014573   cat out/conftest.err >&5
    14671    echo "$as_me:14671: \$? = $ac_status" >&5
     14574   echo "$as_me:14574: \$? = $ac_status" >&5
    1467214575   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1467314576   then
     
    1623516138   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1623616139   -e 's:$: $lt_compiler_flag:'`
    16237    (eval echo "\"\$as_me:16237: $lt_compile\"" >&5)
     16140   (eval echo "\"\$as_me:16140: $lt_compile\"" >&5)
    1623816141   (eval "$lt_compile" 2>conftest.err)
    1623916142   ac_status=$?
    1624016143   cat conftest.err >&5
    16241    echo "$as_me:16241: \$? = $ac_status" >&5
     16144   echo "$as_me:16144: \$? = $ac_status" >&5
    1624216145   if (exit $ac_status) && test -s "$ac_outfile"; then
    1624316146     # The compiler can only warn and ignore the option if not recognized
     
    1633916242   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1634016243   -e 's:$: $lt_compiler_flag:'`
    16341    (eval echo "\"\$as_me:16341: $lt_compile\"" >&5)
     16244   (eval echo "\"\$as_me:16244: $lt_compile\"" >&5)
    1634216245   (eval "$lt_compile" 2>out/conftest.err)
    1634316246   ac_status=$?
    1634416247   cat out/conftest.err >&5
    16345    echo "$as_me:16345: \$? = $ac_status" >&5
     16248   echo "$as_me:16248: \$? = $ac_status" >&5
    1634616249   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1634716250   then
     
    1854618449   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1854718450   -e 's:$: $lt_compiler_flag:'`
    18548    (eval echo "\"\$as_me:18548: $lt_compile\"" >&5)
     18451   (eval echo "\"\$as_me:18451: $lt_compile\"" >&5)
    1854918452   (eval "$lt_compile" 2>conftest.err)
    1855018453   ac_status=$?
    1855118454   cat conftest.err >&5
    18552    echo "$as_me:18552: \$? = $ac_status" >&5
     18455   echo "$as_me:18455: \$? = $ac_status" >&5
    1855318456   if (exit $ac_status) && test -s "$ac_outfile"; then
    1855418457     # The compiler can only warn and ignore the option if not recognized
     
    1881418717   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1881518718   -e 's:$: $lt_compiler_flag:'`
    18816    (eval echo "\"\$as_me:18816: $lt_compile\"" >&5)
     18719   (eval echo "\"\$as_me:18719: $lt_compile\"" >&5)
    1881718720   (eval "$lt_compile" 2>conftest.err)
    1881818721   ac_status=$?
    1881918722   cat conftest.err >&5
    18820    echo "$as_me:18820: \$? = $ac_status" >&5
     18723   echo "$as_me:18723: \$? = $ac_status" >&5
    1882118724   if (exit $ac_status) && test -s "$ac_outfile"; then
    1882218725     # The compiler can only warn and ignore the option if not recognized
     
    1891818821   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1891918822   -e 's:$: $lt_compiler_flag:'`
    18920    (eval echo "\"\$as_me:18920: $lt_compile\"" >&5)
     18823   (eval echo "\"\$as_me:18823: $lt_compile\"" >&5)
    1892118824   (eval "$lt_compile" 2>out/conftest.err)
    1892218825   ac_status=$?
    1892318826   cat out/conftest.err >&5
    18924    echo "$as_me:18924: \$? = $ac_status" >&5
     18827   echo "$as_me:18827: \$? = $ac_status" >&5
    1892518828   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1892618829   then
     
    2246622369# Try to autodetect the library for blas based on build system
    2246722370  #AC_MSG_CHECKING([default locations for BLAS])
    22468   skip_lblas_check=no
    2246922371  case $build in
    2247022372    *-sgi-*)
     
    2326923171
    2327023172    *-cygwin* | *-mingw*)
    23271 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    23272 # library will want to link with cygwin, hence won't run standalone in DOS.
    23273       if test "$enable_doscompile" = mingw; then
    23274         skip_lblas_check=yes
    23275       fi
    2327623173      case "$CC" in
    2327723174        clang* ) ;;
     
    2443724334  esac
    2443824335
    24439   if test -z "$use_blas" && test $skip_lblas_check = no; then
     24336  if test -z "$use_blas" ; then
    2444024337    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2444124338echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    2601825915echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2601925916coin_link_input_cmd="$LN_S"
    26020 if test "$enable_doscompile" = mingw; then
    26021   coin_link_input_cmd=cp
    26022 fi
    2602325917case "$CC" in
    2602425918  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.